// ***************************************************
//                 M O D E L   -   simulace
// Michal Šimeček, CDV, v.v.i.
// Mode choice Brno-Praha.
// ***************************************************

[Choice]
CHOICE 

[Beta]
// Name Value  LowerBound UpperBound  status (0=variable, 1=fixed)  
asca		0	-10000	10000	1
ascb		0	-10000	10000	0 
asch		0	-10000	10000	0
ascr		0	-10000	10000	0 
ascv		0	-10000	10000	0 
bcost		0	-10000	10000	0 
btt		0	-10000	10000	0 
rpa		0	-10000	10000	1
rpb		0	-10000	10000	1
rpr		0	-10000	10000	1
rpv		0	-10000	10000	1
s		0	0	100	1

[Utilities]
// Id Name  Avail  linear-in-parameter expression (beta1*x1 + beta2*x2 + ... )
1  auto   	a_avl	asca [ s ] * one + btt * a_tt + bcost * a_cost + rpa * mode1
2  autobus   	one	ascb * one + btt * b_tt + bcost * b_cost + rpb * mode2     
3  vlak    	one	ascr * one + btt * r_tt + bcost * r_cost + rpr * mode3               
4  vrt     	v_avl	ascv * one + btt * v_tt + bcost * v_cost + rpv * mode3      
5  hyperloop 	h_avl	asch * one + btt * v_tt + bcost * v_cost 

[Draws]
1

[PanelData]
// First, the attribute in the file containing the ID of the individual
// Then the list of random parameters which are constant for all 
// observations of the same individual
// The syntax for a random paramter with mean BETA and std err SIGMA is
// BETA_SIGMA
id
asca_s

[Expressions] 
// Define here arithmetic expressions for name that are not directly 
// available from the data
one = 1

[Model]
// Currently, the following models are available
// Uncomment exactly one of them
//$BP  // Binary Probit Model
//$OL // Ordinal logit
$MNL  // Multinomial Logit Model
//$NL  // Nested Logit Model
//$CNL  // Cross-Nested Logit Model
//$NGEV // Network GEV Model

[Exclude]
( err == 1 )

//[Mu]
// In general, the value of mu must be fixed to 1. For testing purposes, you
// may change its value or let it be estimated.
// Value LowerBound UpperBound Status
//1	-1	1	0

//[Group]
//group

[Weight]
$NONE

//[Scale]
// The sample can be divided in several groups of individuals. The
//utility of an individual in a group will be multiplied by the scale factor
//associated with the group.

// Group_number  scale LowerBound UpperBound status
//11	1	0.001	1000	1
//12	0.5	0.001	1000	0
//21	1	0.001	1000	0
//22	1	0.001	1000	0
//31	1	0.001	1000	0
//32	1	0.001	1000	0

//[NLNests]
// Name paramvalue  LowerBound UpperBound  status list of alt
//individual	1	0	1000	1 	1 
//public	21.9	1	1000	0	2 3 4 5

[CNLNests]
// Name paramvalue LowerBound UpperBound  status 
$NONE

[CNLAlpha]
// Alt Nest value LowerBound UpperBound  status
$NONE

[Ratios] 
// List of ratios of estimated coefficients that must be produced in
// the output. The most typical is the value-of-time.
// Numerator   Denominator  Name
$NONE

[LinearConstraints]
$NONE

[NonLinearEqualityConstraints]
$NONE

[NonLinearInequalityConstraints]
// At this point, BIOGEME is not able to handle nonlinear inequality
// constraints yet. It should be available in a future version.
$NONE

[NetworkGEVNodes] 
// All nodes of the Network GEV model, except the root,
// must be listed here, with their associated parameter.
// If the nodes corresponding to alternatives are not listed,
// the associated parameter is constrained to 1.0 by default
// Name  mu_param_value	LowerBound	UpperBound	status
$NONE

[NetworkGEVLinks]
// There is a line for each link of the network. 
// The root node is denoted by __ROOT
// All other nodes must be either an alternative or a node listed in
// the section [NetworkGEVNodes]
// Note that an alternative cannot be the a-node of any link,
// and the root node cannot be the b-node of any link.
// a-node  b-node alpha_param_value LowerBound UpperBound  status
$NONE

[ZhengFosgerau]
// This section is used only by biosim for simulation, not by biogeme for estimation
// Syntax: expression  bandwith lb  ub name
// Expression must be a probability ($P) or an expression from the data ($E)
// Examples:
// $P { Alt1 } 1 0 1 "P1"
// $E { x31 } 1 -1000 1000 "x31"  
//
$NONE
